<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/librerias/constantes.php');

include($rutaPhp.$rutaHtml.'/librerias/funciones-cachews-customNusoap.php');

if($_GET['orden']) $orden=$_GET['orden']; else $orden=$_POST['orden'];
if($_GET['palet']) $palet=$_GET['palet']; else $palet=$_POST['palet'];

//SGAPackingListPalet#AV#PMO#INFO#;19012300002

$peticion='SGAPackingListPalet#'.$_SESSION['orden']['Empresa'].'#'.$_SESSION['usuario']['Usuario'].'#INFO#'.$orden.';'.$palet;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

$infoPalet=$resultado[0];

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$packings=arreglaArrayPXMobileProxiumResult($infoPalet['PackingListsCoincidentes']);

if(count($packings)==0) {

	?><p>No se ha encontrado ningún Packing List disponible para esta Orden de Preparación.</p><?php

}

?>
<p><input type="submit" name="botonCrearNuevoPackingList" id="botonCrearNuevoPackingList" value="Crear nuevo Packing List" class="boton"/></p>

<input name="packinglistseleccionado" id="packinglistseleccionado" type="hidden" value="" />

<?php

if(count($packings)>0) {

	?><p>O selecciona uno de los Packing Lists disponibles para esta Orden de Preparación:</p><?php

	foreach($packings as $packing) {
	
		?><h2 class="selectorPacking clicable" packing="<?php echo $packing['PLCoincidente']; ?>"><?php echo $packing['PLCoincidente']; ?> <img id="selectorPackingOk<?php echo $packing['PLCoincidente']; ?>" src="<?php echo DIR_IMAGENES; ?>/ok.png" style="width:35px;margin-right:-43px;display:none" class="selectorPackingOk"/></h2>
<?php
		$ordenes=arreglaArrayPXMobileProxiumResult($packing['OrdenesPackingList']);
		if(count($ordenes)>0) {
			?><p class="medio">Ordenes de Preparación incluidas en este Packing List:<br /><?php
			foreach($ordenes as $item) {
				?><strong><?php echo $item['OrdenPreparacion']; ?></strong><br /><?php
			}
			?></p><?php
		}
	}
	?>
    <p><input type="submit" name="botonAsociarPackingList" id="botonAsociarPackingList" value="Asociar a Packing List seleccionado" class="boton"/></p>
    <?php

}
?>
<p><input type="submit" name="botonCancelarElegirPackingList" id="botonCancelarElegirPackingList" value="Cancelar" class="boton reducido"/></p>

<script>

	$(document).ready(function(){
	
		$('#botonCancelarElegirPackingList').on('click',function(){
			$('#popupPackingListsContenido').hide();
			$('#popupPackingLists').hide();
		});
		
		$('.selectorPacking').on('click',function(){
			var packing=$(this).attr('packing');
			$('.selectorPackingOk').hide();
			$('#selectorPackingOk'+packing).show();
			$('#packinglistseleccionado').val(packing);
		});
		
		$('#botonAsociarPackingList').on('click',function(){
			//alert('orden: <?php echo $orden; ?> / palet: <?php echo $palet; ?> / packing: '+$('#packinglistseleccionado').val());
			asociaPaletOrdenPacking('<?php echo $orden; ?>','<?php echo $palet; ?>',$('#packinglistseleccionado').val());
		});
		
		$('#botonCrearNuevoPackingList').on('click',function(){
			asociaPaletOrdenPacking('<?php echo $orden; ?>','<?php echo $palet; ?>',null);
		});
	
	});

</script>